## org.biojava.bio.dp
Class ModelChangeEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--org.biojava.bio.dp.ModelChangeEvent

Direct Known Subclasses:
  TransitionEvent

public class ModelChangeEvent
extends java.util.EventObject

See Also:
  Serialized Form

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ModelChangeEvent(MarkovModel sourceModel)`

Method Summary
`MarkovModel` `getSourceModel()`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ModelChangeEvent

    public ModelChangeEvent(MarkovModel sourceModel)

Method Detail

### getSourceModel

    public MarkovModel getSourceModel()